% Gestion d'identités PSL -- Exploitation LdapSaisie
% Entr'ouvert SCOP -- http://www.entrouvert.com


Arrêt et démarrage
==================

LdapSaisie est un système PHP : il est activé par son exposition via Apache.

Pour arrêter ou démarrer le service, c'est donc sur Apache qu'il faut agir :

Apache est démarré lors du boot de la machine et arrêté lors d'un _shutdown_.
En dehors de ces moments, les commandes suivantes sont disponibles:

* `service apache2 status` : état du service
* `service apache2 stop` : arrêt du service
* `service apache2 start` : démarrage du service
* `service apache2 restart` : arrêt puis redémarrage du service

Logs
====

LdapSaisie enregistre ses logs dans `/var/log/ldapsaisie/ldapsaisie.log`.

Ce fichier de log est géré par `rotatelog`, configuration dans
`/etc/logrotate.d/ldapsaisie`. Une rotation a lieu quotidiennement, avec 7
jours de sauvegarde.

Apache enregistre également les logs d'accès au service via HTTPS, dans
deux fichiers :

* `/var/log/apache2/ldapsaisie_access.log` : logs d'accès
* `/var/log/apache2/ldapsaisie_error.log` : logs d'erreur, y compris erreurs PHP


Mise à jour
===========

La mise à jour du système doit être effectuée aussi fréquement que possible,
typiquement une fois par jour (mises à jour de sécurité Debian). Entr'ouvert
informera aussi le projet en cas de mise à jour urgente de sécurité à
effectuer sur les composants mis en jeu par la solution.

La procédure de mise à jour est la suivante, en **deux étapes**.

Mise à jour de la liste des logiciels disponibles sur les dépôts de la solution
(Debian et Entr'ouvert):

> `# apt-get update`

Mise à jour des paquets qui ont une version plus récente que celle installée :

> `# apt-get upgrade`


Il est possible que des versions futures de la solution nécessitent
l'installation de nouveaux paquets, dans ce cas Entr'ouvert mettra à jour les
dépendances de ses paquets et il faudra utiliser la commande `apt-get
dist-upgrade`.


-----

Historique du document
======================

> 20150217 tnoel -- première version

